# Approve apply

| HTTP method | Endpoint                                           |
| ----------- | -------------------------------------------------- |
| **PATCH**   | **/v1/pending\_affiliates/{pending\_id}/approved** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| pending\_id | The unique id for the pending affiliate. |
| manager\_id | Manager id.                              |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

|                    | Field                     | Type    | Description                                               |
| ------------------ | ------------------------- | ------- | --------------------------------------------------------- |
| affiliate          |                           |         |                                                           |
|                    | id                        | integer | A string that uniquely identifies this affiliate.         |
|                    | first\_name               | string  | The first\_name of the this affiliate.                    |
|                    | last\_name                | string  | The last\_name of the this affiliate.                     |
|                    | email                     | string  | The email of the this affiliate.                          |
|                    | company                   | string  | The company of the this affiliate.                        |
|                    | country                   | string  | The country of the affiliate’s physical address.          |
|                    | status                    | string  | Affiliate’s status.                                       |
|                    | instant\_message\_account | string  | Instant message account.                                  |
|                    | instant\_message\_type    | integer | Types of instant message.                                 |
|                    | manager\_id               | integer | Manager id.                                               |
|                    | phone                     | string  | The phone number of the affiliate.                        |
|                    | website                   | string  |                                                           |
|                    | create\_time              | integer | Create time.                                              |
| pending\_affiliate |                           |         |                                                           |
|                    | id                        | integer | A string that uniquely identifies this pending affiliate. |
|                    | first\_name               | string  | The first\_name of the this affiliate.                    |
|                    | last\_name                | string  | The last\_name of the this affiliate.                     |
|                    | email                     | string  | The email of the this affiliate.                          |
|                    | company                   | string  | The company of the this affiliate.                        |
|                    | country                   | string  | The country of the affiliate’s physical address.          |
|                    | status                    | string  | Affiliate’s status.                                       |
|                    | instant\_message\_account | string  | Instant message account.                                  |
|                    | instant\_message\_type    | integer | Types of instant message.                                 |
|                    | phone                     | string  | The phone number of the affiliate.                        |
|                    | website                   | string  |                                                           |
|                    | create\_time              | integer | Create time.                                              |

## Example request <a href="#example-request" id="example-request"></a>

**Request PATCH** <https://{networkname}.api.offerslook.com/v1/pending_affiliates/24/approved?manager_id=1>

**Request PATCH** <http://{networkname}.api.offerslook.com/v1/pending_affiliates/24/approved?manager_id=1>

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate": {
          "id": 5380,
          "email": "test@test.com",
          "first_name": "test",
          "last_name": "test",
          "country": "Aland",
          "status": "active",
          "website": "http://test.com",
          "create_time": 1474185755,
          "company": "test",
          "phone": "1111",
          "manager_id": 1,
          "instant_message_type": 0,
          "instant_message_account": "test"
        },
        "pending_affiliate": {
          "id": 24,
          "email": "test@test.com",
          "first_name": "test",
          "last_name": "test",
          "instant_message_type": 0,
          "instant_message_account": "test",
          "phone": "123456789",
          "country": "Aland",
          "status": "approved",
          "website": "http://test.com",
          "create_time": 1474185755,
          "company": "test"
        }
      }
    }
```
